O alvo android que devo desenvolver para ? 4.4W Android ou 4.4L android ou android 4.4 kitkat ?

? Savail @ | Original: StackOverFlow
---

Recentemente eu ter baixado patches mais recentes para o Eclipse e Android SDK e agora estou realmente confuso na questão de desenvolver o meu pedido ... Se eu quiser criar um jogo em telefones, tablets etc devo ainda escolher o mais novo alvo como android 4.4 W ou devo escolher 4.4L Android ou talvez a versão estável mais cedo como 4.4 kitkat ?

---

Top 5 Responder

1My God @

UPDATE:

Basta olhar para os docs oficiais -

http://developer.android.com/about/dashboards/index.html

Isso explica com diagramas como do que a meta .

| Version       |   Codename               |   API      |  Distribution
------------------------------------------------------------------------------
 2.2            |    Froyo                 |   8        |  0.8%   
------------------------------------------------------------------------------
 2.3.3 -        |
 2.3.7          | Gingerbread              |    10      |  14.9%
------------------------------------------------------------------------------
 4.0.3 -        |
 4.0.4          | Ice Cream Sandwich       |    15      |  12.3%
------------------------------------------------------------------------------
 4.1.x          |    Jelly Bean            |    16      |  29.0%
------------------------------------------------------------------------------
 4.2.x          |                          |    17      |  19.1%
------------------------------------------------------------------------------
 4.3            |                          |    18      |  10.3%
------------------------------------------------------------------------------
 4.4            |    KitKat                |    19      |  13.6%
------------------------------------------------------------------------------

Como você vê a distribuição de 29,0% é para API nível 16 Jelly Bean.

2Ramakishna Balla @

Se você está desenvolvendo um jogo para Tablets e Celulares, então não penso sobre 4.4L ou 4.4W como eles são para zonas diferentes de dispositivos de acordo com as informações de liberação disse, com razão, por Marco Aciemo

Melhor você trabalhar com API 19 ou seja, KitKat versão 4.4.2, pois é puramente para tablets e dispositivos